CONTENTS OF THIS FILE
---------------------

 * Introduction
 * Requirements
 * Installation
 * Configuration
 * Maintainers

INTRODUCTION
------------

This module provides an AI Block to your [Gutenberg Editor](https://www.drupal.org/project/gutenberg), with this tool, you can use generative AI to add content to your nodes, you won't need to copy and paste from your AI Provider to your Gutenberg Editor, the plugin does this for you.

REQUIREMENTS
------------

This module requires the [Gutenberg Editor](https://www.drupal.org/project/gutenberg) and [AI](https://www.drupal.org/project/ai) modules to be installed first, and also you need to have an account at any AI Provider of your choice (OpenAI, Google Gemini, Groq, etc).

INSTALLATION
------------

1. Install the [AI](https://www.drupal.org/project/ai) and [Gutenberg Editor](https://www.drupal.org/project/gutenberg) modules normally as other modules are installed. For Support:
[https://www.drupal.org/docs/8/extending-drupal/installing-contributed-modules](https://www.drupal.org/docs/8/extending-drupal/installing-contributed-modules).

2. Enable the AI module and depending of your AI Provider (OpenAI, Azure, Google Gemini) you will need to install an extra module and configure it. Please read the AI's module documentation for more details.

CONFIGURATION
-------------

 1. Install normally as other modules are installed. For Support:
   https://www.drupal.org/docs/8/extending-drupal/installing-contributed-modules

2. Enable the [AI module](https://www.drupal.org/project/ai) and depending of your AI Provider (OpenAI, Azure, Google Gemini) you will need to install an extra module and configure it. Please read the [AI's module documentation](https://project.pages.drupalcode.org/ai/) for more details.


INSTALLATION
-------------

 3. Go the Gutenberg AI Settings Form (`/admin/config/openai/gutenberg-ai-settings`) and make sure to select the **AI Provider** and **Model**:

4. Install the Gutenberg Editor module and make sure to enable the Gutenberg Editor for your content type of choice, you can do this by going to **Structure > Content types > Content Type (Page, Article, etc)**, in the left sidebar menu, click on **"Gutenberg Experience"**, then click on "Enable Gutenberg experience", scroll down to the **"Allowed Custom Gutenberg blocks"**, then check on **"AI Block"** and save.

5. Open the Gutenberg Editor in your Drupal site, click on the "+" (Add Block) icon, type **"AI Block"**, select it, and on the **"Start typing your question:"*** field, type the question you want to feed to AI Provider, and then click on the **Ask AI** the answer provided by AI Provider will appear after a bit in the block below.

6. In the right panel, there's a "BLOCK TITLE" field for adding a title to the AI generated content, and also an "AI ANSWER" to modify the answer as well.

MAINTAINERS
-------------

- Daniel Rodriguez - [danrod](https://www.drupal.org/u/danrod)

This project is proudly supported by [ESINERGIA](https://www.drupal.org/esinergia)
